KDE 4.9 PyKDE API Reference

- KDE's Python API

# ResourceTypeTerm Class Reference

`from PyKDE4.nepomuk import *`

Inherits: Nepomuk.Query.Term
Namespace: Nepomuk.Query

## Detailed Description

\class ResourceTypeTerm resourcetypeterm.h Nepomuk/Query/ResourceTypeTerm

Matching resources by type.

The %ResourceTypeTerm matches all resources of a specific type. The only difference to using a ComparisonTerm with property rdf:type and a ResourceTerm subterm is that %ResourceTypeTerm also matches resources which have a type derived from the requested one.

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  4.4

## Methods

| __init__ (self, Nepomuk.Query.ResourceTypeTerm term)
| __init__ (self, Nepomuk.Types.Class type=Nepomuk.Types.Class())
| setType (self, Nepomuk.Types.Class type)
Nepomuk.Types.Class | type (self)

## Method Documentation

__init__ | ( | self, |
|  | Nepomuk.Query.ResourceTypeTerm | term
| ) |  |  |

Copy constructor.

__init__ | ( | self, |
|  | Nepomuk.Types.Class | type=Nepomuk.Types.Class()
| ) |  |  |

Default constructor.

Parameters:

  | type | The type to match.

setType | ( | self, |
|  | Nepomuk.Types.Class | type
| ) |  |  |

Set the type to match.

\sa type()

Nepomuk.Types.Class type | ( |  | self ) |

The type to match.

\sa setType()